Page MenuHomePhabricator

CX2: Opening link inspector scrolls page up
Closed, ResolvedPublic

Description

Opening link inspector inside complex dialog scrolls the page to the top. Closing the dialog restores the context.


I'm pretty sure this scrolling happens in regular target page surface, but not sure about the steps to reproduce.

Event Timeline

Arrbee moved this task from Needs Triage to Bugs on the ContentTranslation board.Jul 3 2018, 3:17 PM
Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptAug 24 2018, 3:20 PM

In recent research sessions (T207831) we've observed the scroll jump happening for links but also with the add citation panel.

Pginer-WMF renamed this task from Opening link inspector scrolls page up to CX2: Opening link inspector scrolls page up.Nov 16 2018, 12:11 PM

Change 480823 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Fix page jump when link inspector is opened

https://gerrit.wikimedia.org/r/480823

Change 480823 merged by Petar.petkovic:
[mediawiki/extensions/ContentTranslation@master] Fix page jump when link inspector is opened

https://gerrit.wikimedia.org/r/480823

Etonkovidova closed this task as Resolved.Jan 18 2019, 2:53 AM

Checked in wmf.13 -the page stays in place after opening/closing the link inspector.